import { RecentActivityType } from '@app/core/common/enum/recent-activity-type';
import { UserInfoListingModel } from '../user/user-info-listing';

export class RecentActivityModel {
	id: String;
	title: String;
	description: String;
	created: Date;
	modified: Date;
	status: number;
	version: number;
	grant: String;
	grantAbbreviation: String;
	grantId: String;
	finalizedAt: Date;
	publishedAt: Date;
	profile: String;
	type: RecentActivityType;
	users: UserInfoListingModel[];
	public: boolean;
}

